from PyQt5 import QtWidgets, QtSql
import sys
# Создаем объект приложения, иначе поддержка баз данных не будет работать
арр = QtWidgets.QApplication(sys.argv)
con = QtSql.QSqlDatabase.addDatabase('QSQLITE') 
con.setDatabaseName('c:\\temp\\data.sqlite')
if con.open():
    # Работаем с базой данных
     if 'good' not in con.tables():
         query = QtSql.QSqlQuery()
         query.exec("create table good (id integer primary key autoincrement, goodname text, goodcount integer)")
     else:
         query = QtSql.QSqlQuery()
         query.prepare("insert into good values(null, :name, :count)")
         lst1 = ['Дискета', 'Бумага для принтера', 'Барабан для принтера']
         lst2 = [10, 3, 8]
         query.bindValue(':name', lst1)
         query.bindValue(':count', lst2)
         query.execBatch()
else:
    # Выводим текст описания ошибки
    print(con.lastError().text())

